Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

don't crash when select / extend_select are None #261

Merged
merged 1 commit into from Jun 12, 2022
Merged

don't crash when select / extend_select are None #261

merged 1 commit into from Jun 12, 2022

Conversation

asottile
Copy link
Member

resolves #260

this is the minimal fix -- rather than removing the (I believe unneeded) methods I'll let you decide when you want to remove support for old flake8 versions

Copy link
Collaborator

@cooperlees cooperlees left a comment

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Cool - Thanks for helping us not break. I haven't had the time to keep up with flake8 deprecations etc. so thanks.

If anyone wants to help clean up what we can, all PRs will be taken.

@cooperlees cooperlees merged commit 437c9d2 into PyCQA:main Jun 12, 2022
6 checks passed
@asottile asottile deleted the dont-crash-flake8-next branch June 13, 2022 23:04
@asottile
Copy link
Member Author

I hate hate hate hate asking, but I believe this is my only remaining release blocker for flake8 next -- would it be possible to release this?

@cooperlees
Copy link
Collaborator

Released: https://github.com/PyCQA/flake8-bugbear/runs/7015334315?check_suite_focus=true

@asottile
Copy link
Member Author

you're the best ❤️

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging this pull request may close these issues.

Tech Debt: Cleanup should_warn and rely on extend-select (+ maybe delete load_file)
2 participants